%global composer_vendor  rhumsaa
%global composer_project uuid

%global github_owner     ramsey
%global github_name      uuid

Name:       php-%{composer_vendor}-%{composer_project}
Version:    2.8.0
Release:    2%{?dist}
Summary:    PHP library for generating and working with UUIDs

Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/%{github_owner}/%{github_name}
Source0:    https://github.com/%{github_owner}/%{github_name}/archive/%{version}.tar.gz
BuildArch:  noarch

Provides:   php-composer(%{composer_vendor}/%{composer_project}) = %{version}

Requires:   php >= 5.3.3

%description
Rhumsaa\Uuid is a PHP 5.3+ library for generating and working with RFC 4122 
version 1, 3, 4, and 5 universally unique identifiers (UUID).

%prep
%setup -qn %{github_name}-%{version}

%build

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php/Rhumsaa/
cp -pr src/* ${RPM_BUILD_ROOT}%{_datadir}/php/Rhumsaa/

%files
%defattr(-,root,root,-)
%{_datadir}/php/Rhumsaa/
%doc README.md CHANGELOG.md LICENSE composer.json

%changelog
* Wed Dec 17 2014 François Kooman <fkooman@tuxed.net> - 2.8.0-2
- composer vendor is rhumsaa not Rhumsaa

* Wed Dec 17 2014 François Kooman <fkooman@tuxed.net> - 2.8.0-1
- initial package
